Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::IMPLZSSStream Class Reference

`#include <IMPLZSSStream.h>`

Inheritance diagram for libebook::IMPLZSSStream:

## Classes
struct | Configuration

## Public Member Functions
| IMPLZSSStream (librevenge::RVNGInputStream *stream, const Configuration &configuration=Configuration())
virtual | ~IMPLZSSStream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned id)
virtual bool | existsSubStream (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
virtual RVNGInputStream * | getSubStreamById (unsigned id)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | isEnd ()

## Private Member Functions
| IMPLZSSStream (const IMPLZSSStream &other)
IMPLZSSStream & | operator= (const IMPLZSSStream &other)

## Private Attributes
boost::scoped_ptr< librevenge::RVNGInputStream > | m_stream

## Constructor & Destructor Documentation

## § IMPLZSSStream() [1/2]

libebook::IMPLZSSStream::IMPLZSSStream | ( | const IMPLZSSStream & | other | ) |
| private

## § IMPLZSSStream() [2/2]

libebook::IMPLZSSStream::IMPLZSSStream | ( | librevenge::RVNGInputStream * | stream,
|  | const Configuration & | configuration = `Configuration()`
| ) |  |
| explicit

## § ~IMPLZSSStream()

libebook::IMPLZSSStream::~IMPLZSSStream | ( |  | ) |
| virtual

## Member Function Documentation

## § existsSubStream()

bool libebook::IMPLZSSStream::existsSubStream | ( | const char * | name | ) |
| virtual

## § getSubStreamById()

librevenge::RVNGInputStream * libebook::IMPLZSSStream::getSubStreamById | ( | unsigned | id | ) |
| virtual

## § getSubStreamByName()

librevenge::RVNGInputStream * libebook::IMPLZSSStream::getSubStreamByName | ( | const char * | name | ) |
| virtual

## § isEnd()

bool libebook::IMPLZSSStream::isEnd | ( |  | ) |
| virtual

## § isStructured()

bool libebook::IMPLZSSStream::isStructured | ( |  | ) |
| virtual

## § operator=()

IMPLZSSStream& libebook::IMPLZSSStream::operator= | ( | const IMPLZSSStream & | other | ) |
| private

## § read()

const unsigned char * libebook::IMPLZSSStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| virtual

## § seek()

int libebook::IMPLZSSStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| virtual

## § subStreamCount()

unsigned libebook::IMPLZSSStream::subStreamCount | ( |  | ) |
| virtual

## § subStreamName()

const char * libebook::IMPLZSSStream::subStreamName | ( | unsigned | id | ) |
| virtual

## § tell()

long libebook::IMPLZSSStream::tell | ( |  | ) |
| virtual

## Member Data Documentation

## § m_stream

boost::scoped_ptr<librevenge::RVNGInputStream> libebook::IMPLZSSStream::m_stream
| private

Referenced by IMPLZSSStream(), isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- IMPLZSSStream.h
- IMPLZSSStream.cpp